# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:               siren
Version:            0.2
Release:            2.1
Summary:            Text-Based Audio Player
Source:             http://www.kariliq.nl/siren/dist/siren-%{version}.tar.gz
Patch1:             siren-ncurses.patch
URL:                http://www.kariliq.nl/siren/
Group:              Productivity/Multimedia/Sound/Players
License:            ISC
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      ncurses-devel
BuildRequires:      flac-devel
BuildRequires:      libao-devel
BuildRequires:      libid3tag-devel
BuildRequires:      libmad-devel
BuildRequires:      libsndfile-devel
BuildRequires:      libvorbis-devel
BuildRequires:      pulseaudio-devel
BuildRequires:      wavpack-devel
BuildRequires:      gcc make glibc-devel pkgconfig

%description
Siren is a text-based audio player for UNIX-like operating systems. Various
aspects of Siren have been inspired by cmus. Siren is distributed under the ISC
licence.

Siren supports Ogg Vorbis, MP3, FLAC, WavPack, WAVE, AIFF and a few other file
formats. Playback is possible through sndio, PulseAudio, OSS, Sun audio and
libao. Siren has been tested on OpenBSD, NetBSD, FreeBSD and Linux.

%prep
%setup -q
%patch1

%build
CFLAGS="%{optflags}" \
./configure \
    prefix="%{_prefix}" \
    bindir="%{_bindir}" \
    mandir="%{_mandir}" \
    plugindir="%{_prefix}/lib/%{name}" \
    debug=no \
    flac=yes \
    mad=yes \
    sndfile=yes \
    vorbis=yes \
    wavpack=yes \
    ao=yes \
    oss=yes \
    pulse=yes \
    sndio=no \
    sun=no

%__make %{?_smp_mflags}

%install
%makeinstall

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc CHANGES
%{_bindir}/siren
%doc %{_mandir}/man1/siren.1*
%dir %{_prefix}/lib/siren
%dir %{_prefix}/lib/siren/ip
%dir %{_prefix}/lib/siren/op
%{_prefix}/lib/siren/ip/flac.so
%{_prefix}/lib/siren/ip/mad.so
%{_prefix}/lib/siren/ip/sndfile.so
%{_prefix}/lib/siren/ip/vorbis.so
%{_prefix}/lib/siren/ip/wavpack.so
%{_prefix}/lib/siren/op/ao.so
%{_prefix}/lib/siren/op/pulse.so
%{_prefix}/lib/siren/op/oss.so

%changelog
* Wed Nov  7 2012 pascal.bleser@opensuse.org
- fix ncurses patch for the feature detection to work properly,
  namely enabling screen resizing and proper background color in
  xterms; thanks to Tim van der Molen for the fix and the heads up
* Thu Oct 25 2012 pascal.bleser@opensuse.org
- initial version (0.2)
